package com.yanzhu.jh.trouble.service;

import java.util.List;
import com.yanzhu.jh.trouble.domain.SmzSspAuditinfo;

/**
 * 随手拍流程信息Service接口
 * 
 * @author JiangYuQi
 * @date 2023-08-07
 */
public interface ISmzSspAuditinfoService 
{
    /**
     * 查询随手拍流程信息
     * 
     * @param id 随手拍流程信息主键
     * @return 随手拍流程信息
     */
    public SmzSspAuditinfo selectSmzSspAuditinfoById(Long id);

    /**
     * 查询随手拍流程信息
     *
     * @param mainId 随手拍流程信息主键
     * @return 随手拍流程信息
     */
    public SmzSspAuditinfo selectLastSmzSspAuditinfoByMainId(Long mainId);

    /**
     * 查询随手拍流程信息列表
     * 
     * @param smzSspAuditinfo 随手拍流程信息
     * @return 随手拍流程信息集合
     */
    public List<SmzSspAuditinfo> selectSmzSspAuditinfoList(SmzSspAuditinfo smzSspAuditinfo);

    /**
     * 新增随手拍流程信息
     * 
     * @param smzSspAuditinfo 随手拍流程信息
     * @return 结果
     */
    public int insertSmzSspAuditinfo(SmzSspAuditinfo smzSspAuditinfo);

    /**
     * 修改随手拍流程信息
     * 
     * @param smzSspAuditinfo 随手拍流程信息
     * @return 结果
     */
    public int updateSmzSspAuditinfo(SmzSspAuditinfo smzSspAuditinfo);

    /**
     * 批量删除随手拍流程信息
     * 
     * @param ids 需要删除的随手拍流程信息主键集合
     * @return 结果
     */
    public int deleteSmzSspAuditinfoByIds(Long[] ids);

    /**
     * 删除随手拍流程信息信息
     * 
     * @param id 随手拍流程信息主键
     * @return 结果
     */
    public int deleteSmzSspAuditinfoById(Long id);
}
